Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.init
Class Initialization

    java.lang.Object
      org.jboss.seam.init.Initialization

    public class Initialization

extends Object

Builds configuration metadata when Seam first initialized.

Author:
  Gavin King, Thomas Heute, Pete Muir

Field Summary
`static String` | `COMPONENT_NAMESPACE`
`static String` | `COMPONENT_SUFFIX`
`static String` | `DUPLICATE_JARS_PATTERNS`

Constructor Summary
`Initialization(javax.servlet.ServletContext servletContext)`

Method Summary
`protected void` | `addComponent(ComponentDescriptor descriptor, Context context)` This actually creates a real Component and should only be called when we want to install a component
`Initialization` | `create()`
`protected ComponentDescriptor` | `findDescriptor(Class<?> componentClass)`
`Initialization` | `init()`
`void` | `redeploy(javax.servlet.http.HttpServletRequest request)`
`void` | `redeploy(javax.servlet.http.HttpServletRequest request, Init init)`
`Initialization` | `setProperty(String name, Conversions.PropertyValue value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_NAMESPACE

    public static final String COMPONENT_NAMESPACE

See Also:
  Constant Field Values

### COMPONENT_SUFFIX

    public static final String COMPONENT_SUFFIX

See Also:
  Constant Field Values

### DUPLICATE_JARS_PATTERNS

    public static final String DUPLICATE_JARS_PATTERNS

See Also:
  Constant Field Values

Constructor Detail

### Initialization

    public Initialization(javax.servlet.ServletContext servletContext)

Method Detail

### create

    public Initialization create()

### setProperty

    public Initialization setProperty(String name,
                                      Conversions.PropertyValue value)

### init

    public Initialization init()

### redeploy

    public void redeploy(javax.servlet.http.HttpServletRequest request)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### redeploy

    public void redeploy(javax.servlet.http.HttpServletRequest request,
                         Init init)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### findDescriptor

    protected ComponentDescriptor findDescriptor(Class<?> componentClass)

### addComponent

    protected void addComponent(ComponentDescriptor descriptor,
                                Context context)

  This actually creates a real Component and should only be called when we want to install a component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.